## HdySwipeGroup HdySwipeGroup — An object for syncing swipeable widgets. |

## Functions

HdySwipeGroup * | hdy_swipe_group_new ()
void | hdy_swipe_group_add_swipeable ()
GSList * | hdy_swipe_group_get_swipeables ()
void | hdy_swipe_group_remove_swipeable ()

## Types and Values

#define | HDY_TYPE_SWIPE_GROUP
| HdySwipeGroup

## Object Hierarchy

        GObject
        ╰── HdySwipeGroup

## Implemented Interfaces

HdySwipeGroup implements GtkBuildable.

## Description

The HdySwipeGroup object can be used to sync multiple swipeable widgets that implement the HdySwipeable interface, such as HdyPaginator, so that animating one of them also animates all the other widgets in the group.

This can be useful for syncing widgets between a window's titlebar and content area.

### HdySwipeGroup as GtkBuildable

HdySwipeGroup can be created in an UI definition. The list of swipeable widgets is specified with a <swipeables> element containing multiple <swipeable> elements with their ”name” attribute specifying the id of the widgets.

    1
    2
    3
    4
    5
    6
    <object class="HdySwipeGroup">
      <swipeables>
        <swipeable name="paginator1"/>
        <swipeable name="paginator2"/>
      </swipeables>
    </object>

## Functions

### hdy_swipe_group_new ()

    HdySwipeGroup *
    hdy_swipe_group_new (void);

Create a new HdySwipeGroup object.

#### Returns

The newly created HdySwipeGroup object

Since: 0.0.12

### hdy_swipe_group_add_swipeable ()

    void
    hdy_swipe_group_add_swipeable (HdySwipeGroup *self,
                                   HdySwipeable *swipeable);

When the widget is destroyed or no longer referenced elsewhere, it will be removed from the swipe group.

#### Parameters

self | a HdySwipeGroup |
swipeable | the HdySwipeable to add |

Since: 0.0.12

### hdy_swipe_group_get_swipeables ()

    GSList *
    hdy_swipe_group_get_swipeables (HdySwipeGroup *self);

Returns the list of swipeables associated with `self` .

#### Parameters

self | a HdySwipeGroup |

#### Returns

a GSList of swipeables. The list is owned by libhandy and should not be modified.

[element-type HdySwipeable][transfer none]

Since: 0.0.12

### hdy_swipe_group_remove_swipeable ()

    void
    hdy_swipe_group_remove_swipeable (HdySwipeGroup *self,
                                      HdySwipeable *swipeable);

Removes a widget from a HdySwipeGroup.

#### Parameters

self | a HdySwipeGroup |
swipeable | the HdySwipeable to remove |

Since: 0.0.12

## Types and Values

### HDY_TYPE_SWIPE_GROUP

    #define HDY_TYPE_SWIPE_GROUP (hdy_swipe_group_get_type())

### HdySwipeGroup

    typedef struct _HdySwipeGroup HdySwipeGroup;

## See Also

HdyLeaflet, HdyPaginator, HdySwipeable